{% extends 'base.html' %}
{% load static %}

{% block additionalHeaders %}
    <title>THE CIMS</title>
{% endblock %}

{% block content %} 
  {% include "base.html" %}
    <div class="container">
        <h1>LEVEL</h1>
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th scope="col">Level</th>
                    <th scope="col">Exp</th>
                    {% if request.session.role == 'admin' %}
                      <th scope="col">Action</th>
                    {% endif %}
                </tr>
            </thead>
            <tbody>
                {% for row in hasil %}
                <tr>
                    <th> {{ forloop.counter }} </th>
                    <th> {{ row.level }} </th>
                    <th> {{ row.xp }} </th>
                    {% if request.session.role == 'admin' %}
                    <th>
                      <div class="row">
                        <div class="col">
                          <a class="btn btn-primary" href="{% url 'update-level' row.level row.xp %}" role="button">Update</a>
                        </div>
                        {% if row.deletable == 'true' %}
                          <div class="col">
                            <a class="btn btn-primary" href="{% url 'delete-level' row.level %}" role="button">Delete</a>
                          </div>
                        {% endif %}
                      </div>
                    </th>
                    {% endif %}
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
  
{% endblock %}
